#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
const int N = 1e5 + 3;
int a[N];
void ubaci_cifru(string& x, int y) {
    char cifra = (char)('0' + y);
    x.push_back(cifra);
}

int main() {
    long long x, y;
    cin >> x >> y;
    string rez = "";
    while (x > 0 || y > 0) {
        int zadnja_x = x % 10, zadnja_y = y % 10;
        if (zadnja_x == zadnja_y && x > 0 && y > 0) {
            ubaci_cifru(rez, zadnja_x);
            ubaci_cifru(rez, zadnja_y);
        } else {
            ubaci_cifru(rez, max(zadnja_x, zadnja_y));
        }
        x /= 10;
        y /= 10;
    }

    int n = rez.size();
    for (int i = n - 1; i >= 0; i--) {
        cout << rez[i];
    }
}